Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00994 Graphics Minor Have not tried Feb 8, 2008, 06:19 May 27, 2022, 21:48
Tester Lord Caos View Status Public Platform
Assigned To Resolution Open OS
Status [?] Confirmed Driver segas16b.cpp
Version 0.36b16 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 00994: tturf: There are some sprite priorities problems.
Description There are some sprite priorities problems with the elevator at the end of the second level, and with the iron cylinders at the 3rd level and in the end stage. This is probably a problem in the sprite manager.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems tturf
Attached Files
png file icon TTUR0000.PNG (12,947 bytes) Feb 14, 2008, 17:50
png file icon TTUR0001.PNG (13,176 bytes) Feb 14, 2008, 17:50
png file icon ttur0010.png (17,491 bytes) May 27, 2022, 21:34 Uploaded by izius
Elevator bug fixed in 0.89
izius
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.13958
Osso
Developer
Jul 3, 2017, 12:45
Is is still happening? Seems fixed to me.
User avatar
No.20237
izius
Tester
May 27, 2022, 21:32
Just tested, at least half of this bug is fixed.

The elevator on the 4th stage is correct in 0.89. It was probably fixed in 0.88u5 or u6, which had various S16 improvements.

The rolling metal cylinders in the 3rd stage still have the highest priority, but since they will run over the player, maybe that was intended.
I think there's a chance it happens also on the original. Unfortunately I couldn't find any PCB recordings.
User avatar
No.20238
Haze
Senior Tester
May 27, 2022, 21:48
the hardware is understood well enough that I don't see how the remaining priority issues can be anything other than ones that occur on hardware.